Bug 25963 - ftp service will only open connection once post reset of xinitd
ftp service will only open connection once post reset of xinitd
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: xinetd (Show other bugs)
7.1
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Trond Eivind Glomsrxd
David Lawrence
Florence RC-1
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2001-02-04 01:57 EST by Kent L. Claussen
Modified: 2007-04-18 12:31 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-02-05 20:44:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Kent L. Claussen 2001-02-04 01:57:14 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows NT 5.0)


if you FTP to localhost (or from any other location) to wu-ftp server the 
first connection will complete and work correctly.  All connections after 
that will fail. syslog shows xinetd[2739]: execv( /usr/sbin/in.ftpd ) 
failed: Bad address (errno = 14)

Reproducible: Always
Steps to Reproduce:
1.ftp to localhost
2.ftp to localhost
3.reset xinitd and go to step1
	

Actual Results:  [root@nfs1 /root]# ftp localhost
Connected to localhost.localdomain.
220 nfs1.claussen.com FTP server (Version wu-2.6.1(1) Sat Jan 20 18:12:34 
EST 2001) ready.
Name (localhost:root): 
331 Password required for root.
Password:530 Login incorrect.
Login failed.
ftp> 
ftp> 221 Goodbye.
[root@nfs1 /root]# ftp localhost
Connected to localhost.localdomain.
421 Service not available, remote server has closed connection
ftp> 
ftp> 
[root@nfs1 /root]# ftp localhost
Connected to localhost.localdomain.
421 Service not available, remote server has closed connection
ftp> [root@nfs1 /root]# /etc/rc.d/init.d/xinetd restart
Stopping xinetd: [  OK  ]
Starting xinetd: [  OK  ]
[root@nfs1 /root]# ftp localhost
Connected to localhost.localdomain.
220 nfs1.claussen.com FTP server (Version wu-2.6.1(1) Sat Jan 20 18:12:34 
EST 2001) ready.
Name (localhost:root): 
Login failed.
ftp> 
ftp> 
ftp> 221 Goodbye.
[root@nfs1 /root]# ftp localhost
Connected to localhost.localdomain.
421 Service not available, remote server has closed connection
ftp> [root@nfs1 /root]# tail -f /var/log/messages 
Feb  4 00:57:10 nfs1 xinetd[2733]: echo-udp disabled, removing
Feb  4 00:57:10 nfs1 xinetd[2733]: echo disabled, removing
Feb  4 00:57:10 nfs1 xinetd[2733]: daytime-udp disabled, removing
Feb  4 00:57:10 nfs1 xinetd[2733]: xinetd Version 2.1.8.9pre14 started 
with 
Feb  4 00:57:10 nfs1 xinetd[2733]: libwrap 
Feb  4 00:57:10 nfs1 xinetd[2733]: options compiled in.
Feb  4 00:57:10 nfs1 xinetd[2733]: Started working: 2 available services
Feb  4 00:57:13 nfs1 xinetd: xinetd startup succeeded
Feb  4 00:57:17 nfs1 ftpd[2737]: FTP session closed
Feb  4 00:57:20 nfs1 xinetd[2739]: execv( /usr/sbin/in.ftpd ) failed: Bad 
address (errno = 14)
Comment 1 Glen Foster 2001-02-05 16:53:02 EST
Re-assigning to "xinetd" component...
Comment 2 Trond Eivind Glomsrxd 2001-02-05 16:59:33 EST
This might have been fixed earlier today... try the xinetd-2.1.8.9pre14-5 RPMs
at http://people.redhat.com/teg/
Comment 3 Glen Foster 2001-02-05 17:52:35 EST
We (Red Hat) should really try hard to fix this before next release.
Comment 4 Kent L. Claussen 2001-02-05 20:44:20 EST
the upgrade of xinitd solved the issue.
thanks
Comment 5 hjohn6589 2001-02-20 13:53:58 EST
I am having a problem very similar to this one.  I have installed all of the security/bug fix's etc for rh 7.0.  I've installed telnet-server-0.17-10 and 
xinetd-2.1.8.9pre14-5.  I have tried installing several versions of xinetd with no better results.  I cannot establish a connection from a remote computer or 
from the console to in.telnetd.  This is on an i586.  Debug output 

Service defaults: Instances = 60, Logging to syslog. Facility = authpriv, level = info, Log_on_success flags = HOST PID, Log_on_failure flags = HOST
Service configuration: telnet  id=telnet, flags = REUSE, socket_type = stream, Protocol (name,number) = (tcp,6), Groups = 0, Server = 
/usr/sbin/in.telnetd, Logging to syslog.  Facility = authpriv, level = info, Log_on_success flags = HOST PID, Log_on_failure flags = HOST USERID

From a remote machine, the connection appears to close before it is opened.  From the console, I am informed of the escape character and then the 
session is closed without prompting me for a password.  I cannot get ftpd to work either.  Both of these daemons were functioning perfectly before I 
installed all the patches.  I have also disabled hosts.allow, hosts.deny, and set all ipchains to accept all packets.

On the first connection attempt, I get:
{main_loop} select returned 1
{exec_server} duping 6
{main_loop} active services = 1
{child_exit} waitpid returned 1382 died
{child_exit} waitpid returned = -1
{main_loop} active_services = 1

All subsequent attempts result in: (the characters after the 14 are a likeness, my screen shows them upside down and dotted wrong) each successive 
attempt increments waitpid by 1.
{main_loop} select returned 1
{exec_server} duping 6
{exec_server} execv( /usr/sbin/in.telnetd ) failed: Bad address (errno = 14oy?iy?_oy?iy?-iy?iy?iy?eiy_ey?U_ey?
{child_exit} waitpid returned = 1385
{server_end} telnet server 1385 exited
{child_exit} waitpid returned = -1
{main_loop} active_services = 1
Comment 6 R P Herrold 2001-03-01 15:23:39 EST
initscripts-5.69-1.i386.rpm ... is also needed ... and the packages have
migrated to Rawhide.

Glen -- really, this is mustfix ...

Comment 7 Trond Eivind Glomsrxd 2001-03-01 15:28:07 EST
Not only that, it has been fixed. A long time ago.

Note You need to log in before you can comment on or make changes to this bug.